#!/bin/bash

shellfu import pretty

#
# Greet something
#
# This is an example Shellfu/Bash module.  The purpose is to demonstrate
# how a simple Shellfu/Bash module could look like.
#

saturnin_demo_greet__world() {
    #
    # Greet the world
    #
    think "greeting the world"
    echos "Hello, world!"
}

saturnin_demo_greet__user() {
    #
    # Greet user $1 or $USER
    #
    local user=${1:-$USER}
    debug -v user
    think "greeting user: $user"
    echos "Hello, $user!"
}
