%global sfincb %{_datadir}/shellfu/include-bash
%global shellfu_req shellfu >= 0.10.4, shellfu < 0.11
%global saturnin_req shellfu-bash-saturnin >= 0.4.10, shellfu-bash-saturnin < 0.5

Name:           __MKIT_PROJ_PKGNAME__
Version:        __MKIT_PROJ_VERSION__
Release:        1%{?dist}
Summary:        __MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__
URL:            __MKIT_PROJ_VCS_BROWSER__
License:        GPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %saturnin_req
BuildRequires:  %shellfu_req

Requires:   %shellfu_req
Requires:   %saturnin_req
Requires:   shellfu-bash-saturnin_demo
%description
__SDEMO_MAINDESC__

__SDEMO_BINDESC__

%package -n shellfu-bash-saturnin_demo
Summary: Shellfu/Bash modules for saturnin-demo
Requires: %saturnin_req
Requires: shellfu-bash
Requires: shellfu-bash-pretty
%description -n shellfu-bash-saturnin_demo
__SDEMO_MODDESC__

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
make test \
    PATH="%{buildroot}/%{_bindir}:$PATH" \
    SHELLFU_PATH="%{buildroot}/%{sfincb}"

%files
%config %{_sysconfdir}/bash_completion.d/%{name}.bash
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ini.d
%dir %{_datadir}/%{name}/ini.d/main
%dir %{_libexecdir}/%{name}
%doc %{_docdir}/%{name}/README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/help
%{_datadir}/%{name}/ini.d/main/echo.ini
%{_libexecdir}/%{name}/%{name}-dump
%{_libexecdir}/%{name}/%{name}-echo
%{_libexecdir}/%{name}/%{name}-greet
%{_libexecdir}/%{name}/%{name}-yell

%files -n shellfu-bash-saturnin_demo
%{sfincb}/saturnin_demo_greet.sh

%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
